API Documentation | All Packages | All Classes | Index | Frames No Frames |
Class HighlightingEvent

Package | ch.unil.cbg.ExpressionView.events
Class | public class HighlightingEvent
Inheritance | HighlightingEvent flash.events.Event

Public Properties

| Property | Defined by
--- | --- | ---
|  | data : Array | HighlightingEvent

Public Methods

| Method | Defined by
--- | --- | ---
|  | HighlightingEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true) | HighlightingEvent
|  | clone():Event | HighlightingEvent

Public Constants

| Constant | Defined by
--- | --- | ---
|  | GENE : String = "Gene" [static] | HighlightingEvent
|  | MODULE : String = "Module" [static] | HighlightingEvent
|  | SAMPLE : String = "Sample" [static] | HighlightingEvent

Property detail

data | property

`public var data:Array`
Constructor detail

HighlightingEvent | () | constructor

`public function HighlightingEvent(_type:String, _data:Array = null, _bubbles:Boolean = true, _cancelable:Boolean = true)`Parameters

| `_type:String`
| `_data:Array` (default = `null`)``
| `_bubbles:Boolean` (default = `true`)``
| `_cancelable:Boolean` (default = `true`)``

Method detail

clone | () | method

`public override function clone():Event`

Returns

| `Event`

Constant detail

GENE | constant

`public static const GENE:String = "Gene"`

MODULE | constant |

`public static const MODULE:String = "Module"`

SAMPLE | constant |

`public static const SAMPLE:String = "Sample"`